<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: misc_api_kernel_1.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_f6486992fdfcc735347cc2d407578037.html">FaceFilterSDK</a></li><li class="navelem"><a class="el" href="dir_80a4fd4d67846ee877317f9ddd7282cb.html">DlibWrapper</a></li><li class="navelem"><a class="el" href="dir_9b7b8713e4f43f3006d0cb3c779d469e.html">dlib</a></li><li class="navelem"><a class="el" href="dir_9283aede61ff1b6cae98ae163d361e2e.html">misc_api</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">misc_api_kernel_1.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (C) 2004  Davis E. King (davis@dlib.net)</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// License: Boost Software License   See LICENSE.txt for the full license.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef DLIB_MISC_API_KERNEl_1_</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define DLIB_MISC_API_KERNEl_1_</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifdef DLIB_ISO_CPP_ONLY</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#error &quot;DLIB_ISO_CPP_ONLY is defined so you can&#39;t use this OS dependent code.  Turn DLIB_ISO_CPP_ONLY off if you want to use it.&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;misc_api_kernel_abstract.h&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;../algs.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;../uintn.h&quot;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacedlib.html">dlib</a></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordtype">void</span> sleep (</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> milliseconds</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    );</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    std::string get_current_dir (</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    );</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classdlib_1_1set__current__dir__error.html">   32</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdlib_1_1set__current__dir__error.html">set_current_dir_error</a> : <span class="keyword">public</span> <a class="code" href="classdlib_1_1error.html">error</a></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classdlib_1_1set__current__dir__error.html">set_current_dir_error</a>(</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            <span class="keyword">const</span> std::string&amp; a</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        ): <a class="code" href="classdlib_1_1error.html#a7aa811457dae46c97d8b9ecc696b0559">error</a>(a) {}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    };</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">void</span> set_current_dir (</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">const</span> std::string&amp; new_dir</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    );</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classdlib_1_1timestamper.html">   46</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdlib_1_1timestamper.html">timestamper</a> </div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    {</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classdlib_1_1timestamper.html#acea3132d07727d70e1afbf468cb664f0">   63</a></span>&#160;        <span class="keyword">mutable</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classdlib_1_1timestamper.html#acea3132d07727d70e1afbf468cb664f0">last_time</a>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keyword">mutable</span> <a class="code" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> offset;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keyword">mutable</span> <a class="code" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> dword_max;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <a class="code" href="classdlib_1_1timestamper.html">timestamper</a>(</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        ) :</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classdlib_1_1timestamper.html#acea3132d07727d70e1afbf468cb664f0">last_time</a>(0),</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            offset(0)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            dword_max = 0xFFFFFFFF;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            ++dword_max;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <a class="code" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> get_timestamp (</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        ) <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    };</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classdlib_1_1dir__create__error.html">   83</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdlib_1_1dir__create__error.html">dir_create_error</a> : <span class="keyword">public</span> <a class="code" href="classdlib_1_1error.html">error</a> </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <a class="code" href="classdlib_1_1dir__create__error.html">dir_create_error</a>(</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keyword">const</span> std::string&amp; dir_name</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        ) : </div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <a class="code" href="classdlib_1_1error.html#a7aa811457dae46c97d8b9ecc696b0559">error</a>(EDIR_CREATE,<span class="stringliteral">&quot;Error creating directory &#39;&quot;</span> + dir_name + <span class="stringliteral">&quot;&#39;.&quot;</span>),</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            name(dir_name)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        {}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        ~<a class="code" href="classdlib_1_1dir__create__error.html">dir_create_error</a>() <span class="keywordflow">throw</span>() {}</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="keyword">const</span> std::string name;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    }; </div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">void</span> create_directory (</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keyword">const</span> std::string&amp; dir</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    );</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;}</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#ifdef NO_MAKEFILE</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="preprocessor">#include &quot;misc_api_kernel_1.cpp&quot;</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="preprocessor">#endif // DLIB_MISC_API_KERNEl_1_</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassdlib_1_1timestamper_html_acea3132d07727d70e1afbf468cb664f0"><div class="ttname"><a href="classdlib_1_1timestamper.html#acea3132d07727d70e1afbf468cb664f0">dlib::timestamper::last_time</a></div><div class="ttdeci">unsigned long last_time</div><div class="ttdef"><b>Definition:</b> misc_api_kernel_1.h:63</div></div>
<div class="ttc" id="aclassdlib_1_1error_html_a7aa811457dae46c97d8b9ecc696b0559"><div class="ttname"><a href="classdlib_1_1error.html#a7aa811457dae46c97d8b9ecc696b0559">dlib::error::error</a></div><div class="ttdeci">error()</div><div class="ttdef"><b>Definition:</b> error.h:99</div></div>
<div class="ttc" id="anamespacedlib_html_a61113f8b6b3e4ccb66deca9355c8f65d"><div class="ttname"><a href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">dlib::uint64</a></div><div class="ttdeci">unsigned long long uint64</div><div class="ttdef"><b>Definition:</b> uintn.h:35</div></div>
<div class="ttc" id="aclassdlib_1_1set__current__dir__error_html"><div class="ttname"><a href="classdlib_1_1set__current__dir__error.html">dlib::set_current_dir_error</a></div><div class="ttdef"><b>Definition:</b> misc_api_kernel_1.h:32</div></div>
<div class="ttc" id="aclassdlib_1_1timestamper_html"><div class="ttname"><a href="classdlib_1_1timestamper.html">dlib::timestamper</a></div><div class="ttdef"><b>Definition:</b> misc_api_kernel_1.h:46</div></div>
<div class="ttc" id="aclassdlib_1_1error_html"><div class="ttname"><a href="classdlib_1_1error.html">dlib::error</a></div><div class="ttdef"><b>Definition:</b> error.h:62</div></div>
<div class="ttc" id="anamespacedlib_html"><div class="ttname"><a href="namespacedlib.html">dlib</a></div><div class="ttdef"><b>Definition:</b> algs.h:119</div></div>
<div class="ttc" id="aclassdlib_1_1dir__create__error_html"><div class="ttname"><a href="classdlib_1_1dir__create__error.html">dlib::dir_create_error</a></div><div class="ttdef"><b>Definition:</b> misc_api_kernel_1.h:83</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
